/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _AtomTypesConversion_included_
#define _AtomTypesConversion_included_

void AtomTypesConversionMatrix(int CM[NumAtomTypes1])
{
	for (int i=0;i<NumAtomTypes1;i++) {CM[i]=0;}

	CM[HT]=HC;
	CM[OT]=O;
	CM[ALA_N]=N;
	CM[ALA_HN]=HN;
	CM[ALA_CA]=C;
	CM[ALA_HA]=HC;
	CM[ALA_CB]=C;
	CM[ALA_HB]=HC;
	CM[ALA_C]=C;
	CM[ALA_O]=O;
	CM[ARG_N]=N;
	CM[ARG_HN]=HN;
	CM[ARG_CA]=C;
	CM[ARG_HA]=HC;
	CM[ARG_CA]=C;
	CM[ARG_HA]=HC;
	CM[ARG_CB]=C;
	CM[ARG_HB]=HC;
	CM[ARG_CG]=C;
	CM[ARG_HG]=HC;
	CM[ARG_CD]=C;
	CM[ARG_HD]=HC;
	CM[ARG_NE]=N;
	CM[ARG_HE]=HN;
	CM[ARG_CZ]=C;
	CM[ARG_NH]=N;
	CM[ARG_HH]=HN;
	CM[ARG_C]=C;
	CM[ARG_O]=HC;
	CM[ASN_N]=N;
	CM[ASN_HN]=HN;
	CM[ASN_CA]=C;
	CM[ASN_HB]=HC;
	CM[ASN_CG]=C;
	CM[ASN_OD]=O;
	CM[ASN_ND]=N;
	CM[ASN_HD]=HN;
	CM[ASN_C]=C;
	CM[ASN_O]=O;
	CM[ASP_N]=N;
	CM[ASP_HN]=HN;
	CM[ASP_CA]=C;
	CM[ASP_HA]=HC;
	CM[ASP_CB]=C;
	CM[ASP_HB]=HC;
	CM[ASP_CG]=C;
	CM[ASP_OD]=O;
	CM[ASP_ND]=N;
	CM[ASP_HD]=HC;
	CM[ASP_C]=C;
	CM[ASP_O]=O;
	CM[CYS_N]=N;
	CM[CYS_HN]=HN;
	CM[CYS_CA]=C;
	CM[CYS_HA]=HC;
	CM[CYS_SG]=S;
	CM[CYS_HG]=HS;
	CM[CYS_C]=C;
	CM[CYS_O]=O;
	CM[GLU_N]=N;
	CM[GLU_HN]=HN;
	CM[GLU_CA]=C;
	CM[GLU_HA]=HC;
	CM[GLU_CB]=C;
	CM[GLU_HB]=HC;
	CM[GLU_CG]=C;
	CM[GLU_HG]=HC;
	CM[GLU_CD]=C;
	CM[GLU_OE]=O;
	CM[GLU_C]=C;
	CM[GLU_O]=O;
	CM[GLU_N]=N;
	CM[GLN_HN]=HN;
	CM[GLN_CA]=C;
	CM[GLN_HA]=HC;
	CM[GLN_CB]=C;
	CM[GLN_HB]=HC;
	CM[GLN_CG]=C;
	CM[GLN_HG]=HC;
	CM[GLN_CD]=C;
	CM[GLN_OE]=O;
	CM[GLN_NE]=N;
	CM[GLN_HE]=HN;
	CM[GLN_C]=C;
	CM[GLN_O]=O;
	CM[GLY_N]=N;
	CM[GLY_HN]=HN;
	CM[GLY_CA]=C;
	CM[GLY_HA]=HC;
	CM[GLY_C]=C;
	CM[GLY_O]=O;
	CM[HIS_N]=N;
	CM[HIS_HN]=HN;
	CM[HIS_CA]=C;
	CM[HIS_HA]=HC;
	CM[HIS_CB]=C;
	CM[HIS_HB]=HC;
	CM[HIS_ND]=N;
	CM[HIS_HD1]=HN;
	CM[HIS_CG]=C;
	CM[HIS_CE]=C;
	CM[HIS_HE]=HC;
	CM[HIS_NE]=N;
	CM[HIS_CD]=C;
	CM[HIS_HD2]=HC;
	CM[HIS_C]=C;
	CM[HIS_O]=O;
	CM[ILE_N]=N;
	CM[ILE_HN]=HN;
	CM[ILE_CA]=C;
	CM[ILE_HA]=HC;
	CM[ILE_CB]=C;
	CM[ILE_HB]=HC;
	CM[ILE_CG]=C;
	CM[ILE_HG]=HC;
	CM[ILE_CD]=C;
	CM[ILE_HD]=HC;
	CM[ILE_C]=C;
	CM[ILE_O]=O;
	CM[LEU_N]=N;
	CM[LEU_HN]=HN;
	CM[LEU_CA]=C;
	CM[LEU_HA]=HC;
	CM[LEU_CB]=C;
	CM[LEU_HB]=HC;
	CM[LEU_CG]=C;
	CM[LEU_HG]=HC;
	CM[LEU_CD]=C;
	CM[LEU_CD1]=C;
	CM[LEU_CD2]=C;
	CM[LEU_HD]=HC;
	CM[LEU_HD1]=HC;
	CM[LEU_HD2]=HC;
	CM[LEU_C]=C;
	CM[LEU_O]=O;
	CM[LYS_N]=N;
	CM[LYS_HN]=HN;
	CM[LYS_CA]=C;
	CM[LYS_HA]=HC;
	CM[LYS_CB]=C;
	CM[LYS_HB]=HC;
	CM[LYS_CG]=C;
	CM[LYS_HG]=HC;
	CM[LYS_CD]=C;
	CM[LYS_HD]=HC;
	CM[LYS_CE]=C;
	CM[LYS_HE]=HC;
	CM[LYS_NZ]=N;
	CM[LYS_HZ]=HN;
	CM[LYS_C]=C;
	CM[LYS_O]=O;
	CM[MET_N]=N;
	CM[MET_HN]=HN;
	CM[MET_CA]=C;
	CM[MET_HA]=HC;
	CM[MET_CB]=C;
	CM[MET_HB]=HC;
	CM[MET_CG]=C;
	CM[MET_HG]=HC;
	CM[MET_SD]=S;
	CM[MET_CE]=C;
	CM[MET_HE]=HC;
	CM[MET_C]=C;
	CM[MET_O]=O;
	CM[PHE_N]=N;
	CM[PHE_HN]=HN;
	CM[PHE_CA]=C;
	CM[PHE_HA]=HC;
	CM[PHE_CB]=C;
	CM[PHE_HB]=HC;
	CM[PHE_CG]=C;
	CM[PHE_CD]=C;
	CM[PHE_HD]=HC;
	CM[PHE_CE]=C;
	CM[PHE_HE]=HC;
	CM[PHE_CZ]=C;
	CM[PHE_HZ]=HC;
	CM[PHE_C]=C;
	CM[PHE_O]=O;
	CM[PRO_N]=N;
	CM[PRO_CD]=C;
	CM[PRO_HD]=HC;
	CM[PRO_CA]=C;
	CM[PRO_HA]=HC;
	CM[PRO_CB]=C;
	CM[PRO_HB]=HC;
	CM[PRO_CG]=C;
	CM[PRO_HG]=HC;
	CM[PRO_C]=C;
	CM[PRO_O]=O;
	CM[SER_N]=N;
	CM[SER_HN]=HN;
	CM[SER_CA]=C;
	CM[SER_HA]=HC;
	CM[SER_CB]=C;
	CM[SER_HB]=HC;
	CM[SER_OG]=O;
	CM[SER_HG]=HO;
	CM[SER_C]=C;
	CM[SER_O]=O;
	CM[SER_N]=N;
	CM[SER_HN]=HN;
	CM[SER_CA]=C;
	CM[SER_HA]=HC;
	CM[SER_CB]=C;
	CM[SER_HB]=HC;
	CM[SER_OG]=O;
	CM[SER_HG]=HO;
	CM[SER_C]=C;
	CM[SER_O]=O;
	CM[THR_N]=N;
	CM[THR_HN]=HN;
	CM[THR_CA]=C;
	CM[THR_HA]=HC;
	CM[THR_CB]=C;
	CM[THR_HB]=HC;
	CM[THR_OG]=O;
	CM[THR_HG1]=HO;
	CM[THR_CG]=C;
	CM[THR_HG2]=HO;
	CM[THR_C]=C;
	CM[THR_O]=O;
	CM[TRP_N]=N;
	CM[TRP_HN]=HN;
	CM[TRP_CA]=C;
	CM[TRP_HA]=HC;
	CM[TRP_CB]=C;
	CM[TRP_HB]=HC;
	CM[TRP_CG]=C;
	CM[TRP_CD1]=C;
	CM[TRP_HD]=HC;
	CM[TRP_NE]=N;
	CM[TRP_HE1]=HN;
	CM[TRP_CE2]=C;
	CM[TRP_CD2]=C;
	CM[TRP_CE3]=C;
	CM[TRP_HE3]=HC;
	CM[TRP_CZ3]=C;
	CM[TRP_HZ3]=HC;
	CM[TRP_CZ2]=HC;
	CM[TRP_HZ2]=HC;
	CM[TRP_CH2]=C;
	CM[TRP_HH]=HC;
	CM[TRP_C]=C;
	CM[TRP_O]=O;
	CM[TYR_N]=N;
	CM[TYR_HN]=HN;
	CM[TYR_CA]=C;
	CM[TYR_HA]=HC;
	CM[TYR_CB]=C;
	CM[TYR_HB]=HC;
	CM[TYR_CG]=C;
	CM[TYR_CD]=C;
	CM[TYR_HD]=HC;
	CM[TYR_CE]=C;
	CM[TYR_HE]=HC;
	CM[TYR_CZ]=C;
	CM[TYR_OH]=O;
	CM[TYR_HH]=HO;
	CM[TYR_C]=C;
	CM[TYR_O]=O;
	CM[VAL_N]=N;
	CM[VAL_HN]=HN;
	CM[VAL_CA]=C;
	CM[VAL_HA]=HC;
	CM[VAL_CB]=C;
	CM[VAL_HG]=HC;
	CM[VAL_C]=C;
	CM[VAL_O]=O;
	CM[HSP_N]=N;
	CM[HSP_HN]=HN;
	CM[HSP_CA]=C;
	CM[HSP_HA]=HC;
	CM[HSP_CB]=C;
	CM[HSP_HB]=HC;
	CM[HSP_ND]=N;
	CM[HSP_HD1]=HN;
	CM[HSP_CG]=C;
	CM[HSP_CE]=C;
	CM[HSP_NE]=N;
	CM[HSP_CD]=C;
	CM[HSP_HD2]=HC;
	CM[HSP_C]=C;
	CM[HSP_O]=O;
	CM[HEM_FE]=FE;
	CM[HEM_NA]=N;
	CM[HEM_NB]=N;
	CM[HEM_NC]=N;
	CM[HEM_ND]=N;
	CM[HEM_C1]=C;
	CM[HEM_C2]=C;
	CM[HEM_C3]=C;
	CM[HEM_C4]=C;
	CM[HEM_CH]=C;
	CM[HEM_HA]=HC;
	CM[HEM_HB]=HC;
	CM[HEM_HC]=HC;
	CM[HEM_HD]=HC;
	CM[HEM_CM]=C;
	CM[HEM_HM]=HC;
	CM[HEM_CA]=C;
	CM[HEM_CB]=C;
	CM[HEM_CG]=C;
	CM[HEM_O1]=O;
	CM[HEM_O2]=O;
}
#endif

