/*
    JV Library
    Copyright (C) 2014  Jouko Juhani Virtanen

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
# include <sys/time.h>
# include <algorithm>

using namespace std;

# include "TypeDef.h"

Real calcTimeDiff(timeval start, timeval end)
{
        long seconds, nseconds;

        seconds=end.tv_sec-start.tv_sec;
        nseconds=end.tv_usec-start.tv_usec;
        return seconds+nseconds/1000000.0;
}

void wait(Real seconds)
{
        timeval start, end;
        gettimeofday(&start, NULL); 
        while (true)
        {
                gettimeofday(&end, NULL);
                if (calcTimeDiff(start, end)>seconds) break;
        }
}
