#ifndef _MaximumLikelihood_include_
#define _MaximumLikelihood_include_
Real calcWoolfson(Real fObs, Real fCalc, Real fVar);
Real calcRice(Real fObs, Real fCalc, Real fVar);
Real calcMLRF0_NoScale(vector<Real> &fObs, vector<Real> &fCalc, vector<Real> &fError, vector<bool> &centric);
Real calcMLRF0(vector<Real> &fObs, vector<Real> &fCalc, vector<Real> &fError, vector<bool> &centric);
Real calcMLRF0(XRayStruct &xray, XRayStruct &expXRay);
Real calcMLTF(XRayStruct &xray, XRayStruct &expXRay, Real estimatedRmsd);
Vector calcErrorDueToRmsd(vector<ProteinStruct> &Proteins, Real rmsd, XRayStruct xray, XRayStruct &expXRay);
void calcRealImagHistogramsDueToRmsd(vector<ProteinStruct> &Proteins, Real rmsd, XRayStruct xray, XRayStruct &expXRay, Matrix &reals, Matrix &imags, Vector &histogram, Real binSize, Real minValue, int nbin);
Real calcMLTFOptimizeScale(XRayStruct &xray, XRayStruct &expXRay);
Real calcMLTFOptimizeBothScales(XRayStruct &xray, XRayStruct &expXRay);
Real calcMLTFOptimizeRmsd(vector<ProteinStruct> &Proteins, XRayStruct &xray, XRayStruct &expXRay, Matrix &fs, Real rmsd);
void calcRootMeanIntensity(XRayStruct &xray, Vector &rootMeanI);
void calcIntensityHistogram(XRayStruct &xray, Vector &histogram);
void calcIntensityHistogram(ProteinStruct &Protein, XRayStruct &xray, Vector &histogram);
void calcAverageAndStdDevIntensity(XRayStruct &xray, Vector &rootMeanIntensity, Vector &stdDevIntensity);
Real calcRotationPossibleScore(XRayStruct &xray, XRayStruct &expXRayStruct);
Real calcRotationPossibleScore(ProteinStruct &Protein, XRayStruct &xray, XRayStruct &expXRayStruct);
Matrix calcAmplitudeDistributionDueToRmsd(vector<ProteinStruct> &Proteins, Real rmsd, XRayStruct xray, XRayStruct &expXRay);
void compareAnalyticalEmpirical(Real realMean, Real imagMean, Real realStdDev, Real imagStdDev, bool centric, Vector &fs);
void compareAnalyticalEmpirical(XRayStruct &xray, Matrix &fs);
Real calcAnalyticalLogLikelihoodPoint(Real realAve, Real imagAve, Real realStdDev, Real imagStdDev, Real expF);
Real calcAnalyticalLogLikelihoodOptScale(XRayStruct xray, XRayStruct &expXRay);
Real calcAnalyticalLogLikelihood(XRayStruct &xray, XRayStruct &expXRay);
#endif
